Bug 206722 - news/nzbget: init script broken (eval: -L: not found)
Summary: news/nzbget: init script broken (eval: -L: not found)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-29 05:07 UTC by dburkland
Modified: 2016-02-15 19:02 UTC (History)
2 users (show)

See Also:
toxic: maintainer-feedback+
rakuco: merge-quarterly+


Attachments
Updated version of nzbget.in (791 bytes, application/x-shellscript)
2016-01-29 05:07 UTC, dburkland
koobs: maintainer-approval-
Details
Patch that bumps port to version 16.4_1 (634 bytes, patch)
2016-02-03 06:59 UTC, Toxic
toxic: maintainer-approval+
Details | Diff
Poudriere build log (84.26 KB, text/plain)
2016-02-03 06:59 UTC, Toxic
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dburkland 2016-01-29 05:07:41 UTC
Created attachment 166258 [details]
Updated version of nzbget.in

Fix broken status command which was returning "eval: -L: not found" on my stock FreeBSD 10.2 system. Simply moved the "command" variable definition before the *_cmd variables.
Comment 1 Toxic 2016-02-03 06:59:15 UTC
Created attachment 166486 [details]
Patch that bumps port to version 16.4_1
Comment 2 Toxic 2016-02-03 06:59:40 UTC
Created attachment 166487 [details]
Poudriere build log
Comment 3 Toxic 2016-02-03 07:01:28 UTC
Thanks for reporting this.

The attached patch incorporates this change and bumps the PORTREVISION number.  It should be ready to apply and commit.  Poudriere log also attached.
Comment 4 commit-hook freebsd_committer 2016-02-15 17:01:44 UTC
A commit references this bug:

Author: rakuco
Date: Mon Feb 15 17:00:47 UTC 2016
New revision: 408947
URL: https://svnweb.freebsd.org/changeset/ports/408947

Log:
  Set `command' before using it in the startup script.

  This fixes the status command which was returning "eval: -L: not found"
  before.

  PR:		206722
  Submitted by:	dburkland@dburkland.com (first version),
  		Toxic <toxic@doobie.com> (maintainer)
  MFH:		2016Q1

Changes:
  head/news/nzbget/Makefile
  head/news/nzbget/files/nzbget.in
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-02-15 17:21:30 UTC
Committed, thanks guys.
Comment 6 commit-hook freebsd_committer 2016-02-15 19:01:57 UTC
A commit references this bug:

Author: rakuco
Date: Mon Feb 15 19:01:12 UTC 2016
New revision: 408951
URL: https://svnweb.freebsd.org/changeset/ports/408951

Log:
  MFH: r408947

  Set `command' before using it in the startup script.

  This fixes the status command which was returning "eval: -L: not found"
  before.

  PR:		206722
  Submitted by:	dburkland@dburkland.com (first version),
  		Toxic <toxic@doobie.com> (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/news/nzbget/Makefile
  branches/2016Q1/news/nzbget/files/nzbget.in